GET /v9/projects/{idOrName}/domains

vercel.com

Summary: Retrieve project domains by project by id or name
Operation ID: getProjectDomains
Auth: unknown
Description

Retrieve the domains associated with a given project by passing either the project `id` or `name` in the URL.

Parameters (11)

gitBranch (string, query, optional)

Filters domains based on specific branch.

idOrName (?, path, required)

The unique project identifier or the project name

limit (number, query, optional)

Maximum number of domains to list from a request (max 100).

order (?, query, optional, default: DESC)

Domains sort order by createdAt

Constraints: {'enum': ['ASC', 'DESC']}

production (?, query, optional, default: false)

Filters only production domains when set to `true`.

Constraints: {'enum': ['true', 'false']}

redirect (string, query, optional)

Filters domains based on their redirect target.

redirects (?, query, optional, default: true)

Excludes redirect project domains when \"false\". Includes redirect project domains when \"true\" (default).

Constraints: {'enum': ['true', 'false']}

since (number, query, optional)

Get domains created after this JavaScript timestamp.

teamId (string, query, optional)

The Team identifier or slug to perform the request on behalf of.

until (number, query, optional)

Get domains created before this JavaScript timestamp.

verified (?, query, optional)

Filters domains based on their verification status.

Constraints: {'enum': ['true', 'false']}

No probe data for this endpoint yet.